<?php use_helper('UrlFunctions'); ?>

<?php




if($metodo){
	
	//Abrir periodo del colaborador
	$o_CierrePedidoDP = new CierrePedidoDP(new CierrePedidoBean());
		
	switch ($metodo){
		
		case '1' : 
		case '2' :
					$o_CierrePedidoDP->operacionPeriodoParcial($metodo,$fecha,$idsucursal,$idcolaborador);
					$o_PedidoCabecera = new CrPedidocabeceraDP();
					$o_PedidoCabecera->aperturaTotal($fecha,$idSucursal);
					echo "metodo ".$metodo;
					
				    ?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/list')?>','&block=001&insert=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?
				  
					
					break;
				
		//Cierre total de la fecha de la sucursal para la fecha determinada
		case '3' : 				
		case '4' : 
					$o_CierrePedidoDP->operacionPeriodoTotal($metodo,$fecha,$idsucursal,$idcolaborador);
					$o_PedidoCabecera = new CrPedidocabeceraDP();
					$o_PedidoCabecera->cierreTotal($fecha,$idsucursal);
					echo "metodo ".$metodo;
					
					?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/list')?>','&block=001&update=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?php 
					break;
	}
	
}

?>


<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
</script>

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>

function abrirperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='1';
		$('form1').submit();
	}
}


function cerrarperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='2';
		$('form1').submit();
	}
}

function abrirperiodototal(fecha){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha)){
		$('fecha').value=fecha;
		$('metodo').value='3';
		$('form1').submit();
	}
	
}
</script>
<?php
$Operacion = 1; 
$con = Conexion::getConexion();

$sql = " 
		SELECT fecha
			FROM cr_dianolaborable
			WHERE  fecha = '$fecha'
			
		 ";

$result7 = mysql_db_query(Conexion::getNameDb(), $sql, $con);
$num_rows = mysql_num_rows($result7);

if($num_rows > 0){
	$Operacion = 0;
	$comentarioF = "<font color='#ff000'>D&iacute;a feriado</font>";
}

$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdSucursal($idsucursal);

$o_sucursalDP = new SucursalDP($o_SucursalBean);

$a_o_sucursales = $o_sucursalDP->select();

foreach ($a_o_sucursales as $iKey => $o_sucursales){ 
		$idsucursal = $idsucursal;
		$descripcionSucursal = $o_sucursales->getDescripcion();
}

$o_CierrePedidoBean = new CierrePedidoBean();

if($idsucursal) $o_CierrePedidoBean->setIdSucursal($idsucursal);
if($fecha) $o_CierrePedidoBean->setFecha($fecha);

$o_PedidoCabceraFN = new CrPedidocabeceraFN();
$o_PedidoCabceraFN->setIdSucursal($idsucursal);
$o_PedidoCabceraFN->setFechaoperacion($fecha);
$a_o_pedidos = $o_PedidoCabceraFN->select();
if(!is_null($a_o_pedidos)){
	foreach ($a_o_pedidos as $key => $o_pedidoCabecera){
		$a_representantes[$o_pedidoCabecera->getIdcolaboradorrepresentante()] = $o_pedidoCabecera->getIdcolaboradorrepresentante();
	}
}
$o_CierrePedidoDP = new CierrePedidoDP($o_CierrePedidoBean);
$a_pedidofecha = $o_CierrePedidoDP->select();

if($a_pedidofecha){
	foreach ($a_pedidofecha as $key => $o_pedidofecha){
		$estadoC = $o_pedidofecha->getEstado();		
	}
}


?>


<img src="/images/common/spacer.gif" width="10">
<form id="form1" name="form1" method="POST">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Cierre de pedidos</li>
            <span class="subtitle"><I>Apertura del pedido</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      <script type="text/javascript">
        validatePass = function(){
          
            valid.onSubmit = false;
          
        }
      </script>
  <tr>
    <td valign="top">
      	<input type="hidden" name="control" value="1">
      	<input type="hidden" name="fecha" id="fecha" value="">
      	<input type="hidden" name="idcolaborador" id="idcolaborador" value="">
      	<input type="hidden" name="idsucursal" id="idsucursal" value="<?=$idsucursal?>">
      	<input type="hidden" name="metodo" id="metodo" value=""> 
      	
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="0" cellspacing="6" cellpadding="0">
								<tr>
									<td nowrap="nowrap" width="10%"><label class="label" for="txtRepresentante" >Sucursal:</label></td>
									<td nowrap="nowrap" ><label class="label req"><?=$descripcionSucursal?></label></td>
								</tr>
							    <tr>
									<td nowrap="nowrap" width="10%"><label class="label" for="txtRepresentante" >Fecha:</label></td>
									<td nowrap="nowrap"><label class="label req"><?=$fecha?> <?php if($comentarioF) echo $comentarioF;?></label></td>
							   </tr> <tr>
									<td nowrap="nowrap" width="10%"><label class="label" for="txtRepresentante" >Estado:</label></td>
									<td nowrap="nowrap"><label class="label req"><?php 
										if($estadoC=="C") echo "Cerrado";
										if($estadoC=="A") echo "Abierto";
									?></label></td>
							   </tr>
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table hspace="20px">
			<tr>
				<td><label class="label">Lista de Representantes</label></td>
			</tr>
		</table>
		<table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="1" cellspacing="0" cellpadding="0" >
								<tr>
									<th nowrap="nowrap" width="40%"><label class="label">Representante</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">#Ped.</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">#Apr.</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">#Rech.</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">#Pend.</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">#P.Entr.</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">M.Aprobado</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">M.Rechazado</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">M.Pendiente</label></th>
									<th nowrap="nowrap" width="8%"><label class="label">M.Entregado</label></th>
									
								</tr>
							    <?php if(is_array($a_representantes)){
							    		$o_CierrePedidoBeanT = new CierrePedidoBean();
								    	foreach ($a_representantes as $keyR => $v_representante){
								    		$o_representanteBean = new ColaboradorBean();
								    		$o_representanteBean->setIdColaborador($keyR);
								    		$o_representanteDP = new ColaboradorDP($o_representanteBean);
								    		
								    		$a_representantesT = $o_representanteDP->select();
								    		
									    	if(is_array($a_representantesT)){
									    		foreach ($a_representantesT as $keyRT => $o_representante){
									    			$o_representante = $o_representante;
									    		}
									    	}
								    		//Buscar Pedidos por cada representante	
								    		//Existe un cierre para este colaborador en esa fecha
								    		$o_CierrePedidoDP = new CierrePedidoDP($o_CierrePedidoBeanT);
								    		
								    		$fechaCol = $fecha;
								    		
								    		
								    		$n_pedidos_a = '0';
								    		$n_pedidos_r = '0';
								    		$n_pedidos_p = '0';
								    		$n_pedidos_e = '0';
								    		$montoAprobado = '0';
								    		$montoRechazado = '0';
								    		$montoPendiente = '0';
								    		$montoentregado = '0';
								    		$o_pedidoCabeceraFN = new CrPedidocabeceraFN();
										    $o_pedidoCabeceraFN->setIdcolaboradorrepresentante($keyR);
										    $o_pedidoCabeceraFN->setFechaoperacion($fecha);
										    $a_pedidoCabecera = $o_pedidoCabeceraFN->select();
										    if(is_array($a_pedidoCabecera)){
										    	foreach ($a_pedidoCabecera as $key => $o_pedidoCabecera){
										    		$idpedidocabecera = $o_pedidoCabecera->getIdpedidocabecera();
										    		
											    	$o_pedidoDetalleFN = new CrPedidodetalleFN();
												    $o_pedidoDetalleFN->setIdpedidocabecera($idpedidocabecera);
												    
												    $a_pedidoDetalle = $o_pedidoDetalleFN->select();
										    	
												    if(is_array($a_pedidoDetalle)){
										    			foreach ($a_pedidoDetalle as $key => $o_pedidoDetalle){
												    
												    		//Pedidos Aprobados
												    		if($o_pedidoDetalle->getEstado() == "A"){
												    			$n_pedidos_a++; 
												    			$montoAprobado +=$o_pedidoDetalle->getMontoPrestado();
												    		}
												    		//Cantidad de pedidos rechazados
												    		if($o_pedidoDetalle->getEstado() == "R"){
												    			$n_pedidos_r++; 
												    			$montoRechazado +=$o_pedidoDetalle->getMontoPrestado();
												    		}
												    		//Cantidad de pedidos pendientes
												    		if($o_pedidoDetalle->getEstado() == "P"){
												    			$n_pedidos_p++; 
												    			$montoPendiente+=$o_pedidoDetalle->getMontoPrestado();
												    		}
												    		if($o_pedidoDetalle->getEntregado() > 0){
												    			$n_pedidos_e++; 
												    			$montoentregado+=$o_pedidoDetalle->getMontoPrestado();
												    		}
										    			}
												    }
										    	}
										    }
										   
									    	?>
									    	<tr nowrap="nowrap" width="10%">
										    	<td><label class="label"><?=$o_representante->getNombreCompleto()?></label></td>
										    	<td align="center"><label class="label"><?php echo $n_pedidos_a + $n_pedidos_r + $n_pedidos_p;  $s_n_totales += $n_pedidos_a + $n_pedidos_r + $n_pedidos_p?></label></td>
										    	<td align="center"><label class="label"><?php echo $n_pedidos_a;  $s_n_pedidos_a +=$n_pedidos_a?></label></td>
										    	<td align="center"><label class="label"><?php echo $n_pedidos_r; $s_n_pedidos_r +=$n_pedidos_r;//."-".$o_representante->getIdColaborador()?></label></td>
										    	<td align="center"><label class="label"><?php echo $n_pedidos_p; $s_n_pedidos_p +=$n_pedidos_p?></label></td>
										    	<td align="center"><label class="label"><?php echo $n_pedidos_e; $s_n_pedidos_e +=$n_pedidos_e?></label></td>
										    	<td align="right"><label class="label"><?php echo number_format($montoAprobado,2,".",""); $s_montoAprobado +=number_format($montoAprobado,2,".","")?></label></td>
										    	<td align="right"><label class="label"><?php echo number_format($montoRechazado,2,".",""); $s_montoRechazado +=number_format($montoRechazado,2,".","")?></label></td>
										    	
										    	
										    	<td align="right"><label class="label"><?php echo number_format($montoPendiente,2,".",""); $s_montoPendiente +=number_format($montoPendiente,2,".","")?></label></td>
										    	<td align="right"><label class="label"><?php echo number_format($montoentregado,2,".","");$s_montoentregado +=number_format($montoentregado,2,".","")?></label></td>
										    	
										    	
									    	</tr>
									  
								    	 <?php }?>
									    	<tr>
									    		<td nowrap="nowrap" align="right"><label class="label">Totales</label></td>
												<td nowrap="nowrap" align="center"><label class="label"><?=$s_n_totales?></label></td>
												<td nowrap="nowrap" align="center"><label class="label"><?=$s_n_pedidos_a?></label></td>
												<td nowrap="nowrap" align="center"><label class="label"><?=$s_n_pedidos_r?></label></td>
												<td nowrap="nowrap" align="center"><label class="label"><?=$s_n_pedidos_p?></label></td>
												<td nowrap="nowrap" align="center"><label class="label"><?=$s_n_pedidos_e?></label></td>
												<td nowrap="nowrap" align="right"><label class="label"><?=number_format($s_montoAprobado,2,".","")?></label></td>
												<td nowrap="nowrap" align="right"><label class="label"><?=number_format($s_montoRechazado,2,".","")?></label></td>
												<td nowrap="nowrap" align="right"><label class="label"><?=number_format($s_montoPendiente,2,".","")?></label></td>
												<td nowrap="nowrap" align="right"><label class="label"><?=number_format($s_montoentregado,2,".","")?></label></td>
												<td nowrap="nowrap" colspan="2"></td>
											</tr>
							  		<?php  }?>
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table align="center" width="100%">
			<tr>
			<td align="center" colspan="5">
			 <input type="hidden" name="typeSubmit" id="typeSubmit">
			 <?php if( myUser::getUser()->getRoleId() == "sys.gen" ){ ?>
			  <?php if($estadoC == 'C' && $Operacion){?><input class="button" type="button" value="Apertura Total" onclick="abrirperiodototal('<?=$fecha?>')"><?php }?>
			 <?php }?> 
			  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
			</td>
			</tr>
			<tr>
			<td height="10" colspan="5">&nbsp;</td>
			</tr>
		</table>
 </form>
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true});
</script>